OpenGL-2.2.3.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Graphics.Rendering.OpenGL.GL.PixelRectangles.ColorTable

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data ColorTableStage

Constructors

ColorTableStage |
PostConvolutionColorTableStage |
PostColorMatrixColorTableStage |
TextureColorTableStage |

Instances

Eq ColorTableStage |
Ord ColorTableStage |
Show ColorTableStage |

colorTableStage :: ColorTableStage -> StateVar Capability

data Proxy

Constructors

NoProxy |
Proxy |

Instances

Eq Proxy |
Ord Proxy |
Show Proxy |

data ColorTable

Constructors

ColorTable |
PostConvolutionColorTable |
PostColorMatrixColorTable |
Texture1DColorTable |
Texture2DColorTable |
Texture3DColorTable |
TextureCubeMapColorTable |
TextureColorTable |
SharedTexturePalette |

Instances

Eq ColorTable |
Ord ColorTable |
Show ColorTable |

data PixelInternalFormat

Constructors

Alpha' |
DepthComponent' |
Luminance' |
LuminanceAlpha' |
Intensity |
RGB' |
RGBA' |
SRGB |
SRGBAlpha |
SLuminance |
SLuminanceAlpha |
Alpha4 |
Alpha8 |
Alpha12 |
Alpha16 |
DepthComponent16 |
DepthComponent24 |
DepthComponent32 |
Luminance4 |
Luminance8 |
Luminance12 |
Luminance16 |
Luminance4Alpha4 |
Luminance6Alpha2 |
Luminance8Alpha8 |
Luminance12Alpha4 |
Luminance12Alpha12 |
Luminance16Alpha16 |
Intensity4 |
Intensity8 |
Intensity12 |
Intensity16 |
R3G3B2 |
RGB4 |
RGB5 |
RGB8 |
RGB10 |
RGB12 |
RGB16 |
RGBA2 |
RGBA4 |
RGB5A1 |
RGBA8 |
RGB10A2 |
RGBA12 |
RGBA16 |
SRGB8 |
SRGB8Alpha8 |
SLuminance8 |
SLuminance8Alpha8 |
CompressedAlpha |
CompressedLuminance |
CompressedLuminanceAlpha |
CompressedIntensity |
CompressedRGB |
CompressedRGBA |
CompressedSRGB |
CompressedSRGBAlpha |
CompressedSLuminance |
CompressedSLuminanceAlpha |
DepthComponent32f |
Depth32fStencil8 |
RGB9E5 |
R11fG11fB10f |

Instances

Eq PixelInternalFormat |
Ord PixelInternalFormat |
Show PixelInternalFormat |

colorTable :: Proxy -> ColorTable -> PixelInternalFormat -> GLsizei -> PixelData a -> IO ()

getColorTable :: ColorTable -> PixelData a -> IO ()

copyColorTable :: ColorTable -> PixelInternalFormat -> Position -> GLsizei -> IO ()

colorSubTable :: ColorTable -> GLsizei -> GLsizei -> PixelData a -> IO ()

copyColorSubTable :: ColorTable -> GLsizei -> Position -> GLsizei -> IO ()

colorTableScale :: ColorTableStage -> StateVar (Color4 GLfloat)

colorTableBias :: ColorTableStage -> StateVar (Color4 GLfloat)

colorTableFormat :: ColorTable -> GettableStateVar PixelInternalFormat

colorTableWidth :: ColorTable -> GettableStateVar GLsizei

colorTableRGBASizes :: ColorTable -> GettableStateVar (Color4 GLsizei)

colorTableLuminanceSize :: ColorTable -> GettableStateVar GLsizei

colorTableIntesitySize :: ColorTable -> GettableStateVar GLsizei